<template lang="pug">
	.itemCampo
		label( v-if="titulo", :for="nombre" ) {{ titulo }}
		.control
			slot: input(
				v-model="valor",
				@input="input",
				:type="tipo",
				:name="nombre"
				:pattern="patron",
				:required="obligatorio"
				v-bind="$attrs"
				)


	//-

</template>

<script>
export default {
	name:"ItemCampo",
	components:{
	},
	props:{
		titulo:String,
		nombre:String,
		value: [String, Number],
		tipo:{
			type: String,
			default: "text"
		},
		patron:{
			type:String,
		},
		obligatorio:{
			type:Boolean,
			default: false
		}
	},
	inheritAttrs: false,
	data () {
		return {
			valor: this.value
		}
	},
	methods:{
		input(){
			//console.log( this.valor )
			this.$emit('input', this.valor )
		}
	}
}
</script>

<style lang="stylus">
@import '~nib/index'
@import "../stylus/base/utiles.styl"

//TODO: Impelentar estados: Ok, error, alerta

.itemCampo
	display flex
	align-items center
	flex-wrap wrap

	label
		flex 1 0 60px
		color blanco
		font-size calcRem( 12 )
		padding 0.5em 0.5rem 0.5em 0
		line-height 1.2

	.control
		flex 4 0 auto
		background-color blanco
		font-size calcRem( 12 )
		display flex
		align-items stretch
		min-width 100px

		> *
			flex 1 1 100%

		input
			padding 1em
			border none
			line-height 1
			color #999999
			display block
			width 100%
			outline none

</style>


